Loading...
Searching...
No Matches
Ogre::LodCollapseCostCurvature Class Reference

`#include <OgreLodCollapseCostCurvature.h>`

Inheritance diagram for Ogre::LodCollapseCostCurvature:
[legend]

## Public Member Functions

Real | computeEdgeCollapseCost (LodData *data, LodData::Vertex *src, LodData::Edge *dstEdge) override
| Returns the collapse cost of the given edge.
Public Member Functions inherited from Ogre::LodCollapseCost
| LodCollapseCost ()
virtual | ~LodCollapseCost ()
virtual void | computeVertexCollapseCost (LodData *data, LodData::Vertex *vertex, Real &collapseCost, LodData::Vertex *&collapseTo)
| Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated.
virtual void | initCollapseCosts (LodData *data)
| This is called after the LodInputProvider has initialized LodData.
virtual void | initVertexCollapseCost (LodData *data, LodData::Vertex *vertex)
| Called from initCollapseCosts for every edge.
void | setPreventBreakingLines (bool prevent)
| Set true to prevent collapsing edges that would result in the destruction of a line.
void | setPreventPunchingHoles (bool prevent)
| Set true to prevent collapsing edges that would result in the destruction of a triangle.
virtual void | updateVertexCollapseCost (LodData *data, LodData::Vertex *vertex)
| Called when edge cost gets invalid.

## Member Function Documentation

## computeEdgeCollapseCost()

Real Ogre::LodCollapseCostCurvature::computeEdgeCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | src,
|  | LodData::Edge * | dstEdge )

override virtual

Returns the collapse cost of the given edge.

Implements Ogre::LodCollapseCost.

The documentation for this class was generated from the following file:

- OgreLodCollapseCostCurvature.h